[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [tycho-dev] Override Equinox implementation?

As far as i can see, tycho.target contains almost nothing... Also .target file have a dependency on the repository they consume for each entry. What should I put for my local Maven repo?
Is there another file involved in providing target-platform or repositories?

On 06/12/2012 01:10 PM, Igor Fedorenko wrote:
tycho.target should have new version or use 0.0.0 to let tycho
pick the latest one.

--
Regards,
Igor

On 12-06-12 6:22 AM, Mickael Istria wrote:
I can successfully change rebuild tycho-external-bundles.product with my
own version of p2, and get Maven plugins to use this version.
However, I am having troubles with building
org.eclipse.tycho.p2.resolver.impl bundle with my own version of p2.
This version is available locally in my Maven repo, but whatever version
I set for my p2 bundle in the MANIFEST.MF of the Tycho bundle, it keeps
on using the one that can be resolved from target-platform. I tried with
the fully qulified version of my local build, but nothing changed.

Is there something to modify in tycho-bundles/pom.xml or
tycho-bundles/tycho-bundles-target/tycho.target to be able to build
those bundles with my own local version of p2?

Cheers,
--
Mickael Istria
Eclipse developer at JBoss, by Red Hat <http://www.jboss.org/tools>
My blog <http://mickaelistria.wordpress.com> - My Tweets
<http://twitter.com/mickaelistria>


_______________________________________________
tycho-dev mailing list
tycho-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/tycho-dev


_______________________________________________
tycho-dev mailing list
tycho-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/tycho-dev


--
Mickael Istria
Eclipse developer at JBoss, by Red Hat
My blog - My Tweets